Bug 1779864 - kubelet needs --reserved-cpus to have fine control over isolation of system resources vs static-cpu pods
Summary: kubelet needs --reserved-cpus to have fine control over isolation of system r...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Ryan Phillips
QA Contact: Sunil Choudhary
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-04 21:19 UTC by Vladik Romanovsky
Modified: 2020-05-13 21:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-13 21:54:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin pull 24257 'None' closed Bug 1779864: UPSTREAM: drop 83592: added --reserved-cpus kubelet command option 2020-08-18 09:16:31 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-13 21:54:08 UTC

Description Vladik Romanovsky 2019-12-04 21:19:39 UTC
Description of problem:

Currently kubeReserved and systemReserved values affect how kubelet sets aside CPUs to not allocate from for static-cpu-manager pods.  These cpus are not under the direct control of the user and may not be predictable which CPUs are used.  Documentation suggests that these CPUs start with 0 and are allocated incrementally, but our observations are that they follow a pattern of 0, 2, etc.

Different systems have different CPU enumeration and may not work well with the assumptions kubelet may make for reserving these CPUs.  We would like to ensure the feature recently merged upstream, --reserved-cpus, is included in OCP as soon as possible.  This provides the administrator the ability to specify exactly which CPUs are not used for static-cpu pods, and then this can be closely coordinated with system tuning options, using those [and only those] CPUs for system tasks.

Comment 4 errata-xmlrpc 2020-05-13 21:54:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.